

$primary: #f3f56f;
$secondary: #73f5df;
$dark: #939592;
$shadow: #8c6b6b;

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    display: block;
}

html {
    font-size: 14px;
    background: #fff;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2em;
    padding: 50px 0;
    max-width: 100vw;
}

header {
    font-family: Lobster;
    color: linear-gradient(33deg, $primary, $dark);
}

.container {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.button-group {
    justify-content: center;
    position: relative;
    gap: 20%;
}

.extrusion {
    font-family: 'Lobster', monospace;
    font-size: 2em;
    color: #efefef;
    text-shadow: 1px 1px $shadow;
}

.button {
    padding: 10px 20px;
    border-radius: 40px;
    transition: .1s;
    border: 1px solid $dark;
    box-shadow: 1px 1px $shadow, 2px 2px $shadow, 3px 3px $shadow;
    cursor: pointer;
    &:hover {
        color: #fff;
    }
    &:focus {
        outline: 0;
    }
    &:active{
        box-shadow: none;
        transform: translate(3px, 3px);
    }
    &.primary {
        background-image: linear-gradient(30deg, $primary, $dark);
    }
    &.secondary {
        background-image: linear-gradient(230deg, $secondary, $dark);
    }
}

.gallery {
    flex-wrap: wrap;
    justify-content: center;
    gap: 2em;
    img {
        width: 100%;
        max-width: 500px;
        transition: .03s;
        &.el.distorted {
            filter: url('#distortion');
        }
        &.el.position-correct {
            transform: translate(-7px, -7px);
        }
    }
}

svg.defs {
    height: 0;
}